import React, { useState } from 'react';
import { render, Box, Text } from 'ink';
import { ResponsiveSelect } from '../source/index.js';
const options = [
    {
        label: 'X project',
        value: 'x-project',
        checked: false,
    },
    {
        label: 'Y project',
        value: 'y-project',
        checked: false,
    },
    {
        label: 'Z project',
        value: 'z-project',
        checked: false,
    },
];
const Example1 = () => {
    const [checkedOptions, setCheckedOptions] = useState();
    const [lastChangedOption, setLastChangedOption] = useState();
    return (React.createElement(Box, { flexDirection: "column", gap: 1, margin: 1 },
        React.createElement(ResponsiveSelect, { options: options, column: 1, onChanged: ({ changedOption }) => {
                setLastChangedOption(changedOption);
                console.log('Changed option:', changedOption);
            }, onSubmitted: ({ selectedOptions }) => {
                setCheckedOptions(selectedOptions);
            } }),
        lastChangedOption && (React.createElement(Text, { color: "green" },
            "Last changed option: ",
            lastChangedOption.label,
            " (",
            lastChangedOption.checked ? 'checked' : 'unchecked',
            ")")),
        checkedOptions && (React.createElement(Text, { color: "green" },
            "Checked options: ",
            checkedOptions.map(o => o.label).join(', ')))));
};
render(React.createElement(Example1, null));
//# sourceMappingURL=example1%20copy.js.map